YUM is an open-source command-line package-management utility for RPM-compatible Linux operating systems.

learn more… | top users | synonyms

8
votes
4answers
5k views

How to upgrade Apache from 2.2.3 to 2.2.21

Using YUM I installed apache. Installed apache version is 2.2.3 Our security guy wants that we use 2.2.21 apache When I try yum update 'httpd' nothing happens - No Packages marked for Update I ...
0
votes
1answer
491 views

Unable to install Kerberos libriaries using $ rpm -ivf krb5-libs-1.8.4-3.fc14.x86_64.rpm

My Linux version is as follows:Red Hat Enterprise Linux Server release 5.5 (Tikanga) My rpm version is 4.4.2.3 when I am trying ti run uname -a ,the output i sas follows: Linux ca1vmprdpsoft1.kla-...
0
votes
2answers
296 views

CentOS / RHEL equivalent to packages.debian.org [duplicate]

Possible Duplicate: What is the equivalent of packages.debian.org for CentOS? When I want to search for packages for my Debian box I use http://www.debian.org/distrib/packages It has a nice ...
7
votes
3answers
15k views

Enabling apt-get on a default Amazon EC2 instance which has yum installed

I'd like to call something like: sudo yum install apt to enable me to use apt-get as well as yum for installation. However this doesn't work. I get the following back: Loaded plugins: ...
9
votes
5answers
32k views

Install Xvfb via yum - yum repository for Xvfb?

I am trying to install Xvfb on a RHEL 6.2 system using yum. However, all of the help that I've found says to type: yum install Xvfb or... yum install xorg-x11-server-Xvfb Which I'm sure ...
2
votes
2answers
4k views

On CentOS how do I get boost header files installed?

What CentOS 6 package name do I need to install boost header files: yum install boost doesn't seem to work. Is there a special compiler directive I need to use to point to the include files? Or is ...
1
vote
5answers
12k views

Installing Python 2.7 broke “yum”

I installed Python 2.7 and pointed /usr/bin/python to /usr/local/bin/python2.7 After installing Python 2.7, I get the following error message every time I use yum > sudo yum install setuptools ...
1
vote
2answers
274 views

upgrade to nginx 1.0 on Amazon Linux EC2 Instance

I've noticed that the official Amazon repos only host nginx 0.8 which is now considered a legacy release. Short of manually compiling from source what must I do to upgrade to the stable 1.0 version of ...
10
votes
4answers
3k views

Best practice for automated Linux updates

We are working on a way to perform automatic updates for our RHEL/RHEL-based servers. Initial idea: Using Puppet, we disable the default repositories and point to our own. Then, we use ensure => ...
3
votes
4answers
7k views

Updating OpenSSH to latest stable version via yum

I am running CentOS 5.7 and need to upgrade OpenSSH to the latest stable version (PCI compliance issues). However, the most recent version available via the CentOS yum repository is 4.3p2. How can I ...
0
votes
2answers
449 views

Failed Dependency: libmysqlclient.so.15 as part of Sphinx Install

I'm running CentOS 5.7 and trying to install Sphinx Search but keep receiving missing dependency errors. $ yum install sphinx ... Error: Missing Dependency: libmysqlclient.so.15 is needed by package ...
1
vote
1answer
2k views

How to install Mysql 5.1 on Fedora 16

I can't seem to install MySQL 5.1 on Fedora 16. When I try to install an RPM downloaded from the MySQL website I get conflict errors with the existing 5.5 packages which I have already 'removed' via ...
0
votes
1answer
2k views

Is it possible to just update Java through YUM on a licensed RHEL5?

RHEL 5.6 64 bit running: Java(TM) SE Runtime Environment (build 1.6.0_27-b07) Java HotSpot(TM) 64-Bit Server VM (build 20.2-b06, mixed mode) Can I update this with the latest build 29 using yum? ...
0
votes
2answers
143 views

Selectively install package from centosplus

How can I selectively install a package from the centosplus repository in CentOS 6.0? If I enable that repo and run a yum update, it would install other packages (newer kernels etc.) too. I just need ...
1
vote
1answer
531 views

PHP upgraded to 5.3.8 - Can't install/upgrade extensions

I managed to upgrade php from 5.2.10 to 5.3.8 in CentOS 5.4. Some of the extensions were lost in the process (mbstring, mysql). One quick run for: yum list installed | grep php Returns: php....
0
votes
3answers
1k views

Error when trying to update postgresql-libs

When I do a yum update I get the following errors: Transaction Check Error: file /usr/lib64/libecpg.so.6.1 from install of postgresql-libs-8.4.10-1PGDG.rhel5.x86_64 conflicts with file from package ...
6
votes
3answers
9k views

How to install package with yum without updating repository information?

I want to install some packages from repository but always when I'm trying to yum install packagename yum updates db: Loaded plugins: fastestmirror, langpacks, presto, refresh-packagekit Determining ...
12
votes
1answer
5k views

How to undo “yum remove python”

I have a Centos 6 based VPS with an ssh connection. Recently wanting to install python 2.7.2, I bravely ran: yum remove python which apparently removed yum itself being written or depends on python....
-2
votes
2answers
1k views

Red Hat Yum not working out of the box?

I have a server runnning Red Hat Enterprise Linux v5.6 in the cloud. My project constraints do not allow me to use another OS. When I created the cloud server, I was able to SSH into it and access ...
0
votes
3answers
71 views

Yum update on LAMP

When I do a yum check-update on my server I get packages like php which I haven't dared to update. I'm wondering whether it would be safe to update these on my production server (I do have a backup ...
0
votes
2answers
6k views

How to add GD to a PHP 5.3 CentOS installation from a different repo?

I installed PHP 5.3 on a CentOS 5.3 using yum and repos from Webtatic (http://www.webtatic.com/packages/php53/) and now I'd like to add the GD library to that installation but Webtatic seems to be ...
0
votes
1answer
845 views

Build RPM from DRPM on Fedora Linux

I am creating a private Fedora Linux mirror (os & updates repositories of RPMS and DRPMS). Of course, I'm doing that using rsync and everything is working well... except that I'm using a very slow ...
2
votes
2answers
218 views

Yum update info from what version, to what version

Is there some simple yum command so I can know what is current and what is future version of package for updating. I now about: yum list updates But that only prints new version of packages...
2
votes
1answer
2k views

mrepo and grouplist/groupinstall?, mrepo not working as expected with group

All, I'm trying to set up mrepo so we can have internal repositories. After quite the slog, things seem to be working as expected EXCEPT for groups. From man createrepo: EXAMPLES Here is an ...
16
votes
5answers
34k views

Upgrade Subversion 1.6 to 1.7 on CentOS? (can't find yum repository)

I want to upgrade my SVN Server from 1.6 to 1.7. Unfortunately I can't find anything on the internet how to do this with yum. I have checked rpmforge-extras but it has only svn 1.6 and not 1.7 I ...
-3
votes
1answer
283 views

install vncserver without yum on Oracle Linux

can anybody describe me how to install vncserver on Oracle Linux without yum? (yum does not work because it is a pre-built appliance - timeouts all the time)
7
votes
4answers
5k views

Best way to clean up Yum repository?

We have a custom Yum repo that our developers upload builds to. The problem is that after some time it becomes cluttered with old versions. Removing the old versions manually is quite annoying, so ...
2
votes
2answers
3k views

yum update dependency error (already installed)

i'm facing the following error: Transaction Check Error: package apr-1.3.12-1.jason.1.x86_64 (which is newer than apr-1.2.7-11.el5_6.5.cloudlinux.2.i386) is already installed This is on cloudlinux. ...
2
votes
1answer
175 views

Using Yum to deploy web application on different machines

I want to deploy application on different machine with Yum. According to my learning I have to create yum repository and package of application. But I cannot find relationship between package and ...
1
vote
0answers
2k views

Fixing problems with yum, urllib2, and missing dependencies?

I've been trying to resolve the following problem with yum / python's urllib2: [root@...]# yum Traceback (most recent call last): File "/usr/bin/yum", line 4, in ? import yum File "/usr/lib/...
2
votes
2answers
3k views

Can't install PHP and MySQL on CentOS 5 64 Bits

I'm getting the following error when trying to install PHP and MySQL form the atomicorp.com repository: [root@x171 ~]# yum -y install mysql-libs php php-gd gd mysql mysql-server mysql-devel ...
1
vote
2answers
24k views

How to install gedit using yum

I'm trying to install gedit on an Amazon EC2 instance running Redhat 4.4.4-13. I thought it would be as easy as sudo yum install gedit But that just gives me: Loaded plugins: fastestmirror, ...
1
vote
5answers
17k views

Centos 6 yum update - Packages skipped because of dependency problems

I'm trying to keep my offsite backup server up to date so I've run an update and I'm getting dependency issues. I haven't got a clue how to continue. Below is the output from from YUM. [root@...
8
votes
3answers
27k views

Upgrade cURL to latest on CentOS

I need to upgrade cURL to the latest version on Centos 2.6.18-164.15.1.el5.centos.plusxen #1 SMP Wed Mar 17 20:32:20 EDT 2010 x86_64 x86_64 x86_64 GNU/Linux I'm unable to find any suitable ...
0
votes
2answers
2k views

Enabling dBase on PHP installed on Centos

I have php 5.3.6 installed on Centos 5.5 (from iucommunity repository). Now when I want to enable dBase by yum install php-dbase, I get this error: Package php-dbase is obsoleted by php-common, ...
-1
votes
3answers
2k views

Installing PHP dependencies

While trying to install php-mysql package, I get the following error. It was working fine with php-5.1.6-27.el5 and mysql 5.0 version. After MySQL upgrade, certain PHP pages had issues and I had to ...
0
votes
1answer
190 views

EC2 CentOS 5.0 does not upgrade

Recently I grabbed some preconfigured CentOS 5.0 instance from EC2 and installed our stuff on it from rightscale. The instance was a little old, but I assumed that it would be up to date after a ...
2
votes
1answer
2k views

apt-cacher/approx equivalent for Centos [duplicate]

I am looking at setting up several Centos machines in my network and would like to have them update from a centralised server on the network. I am hoping to save bandwidth by not having to update each ...
27
votes
3answers
30k views

How to install libpq-dev on Centos 5.5

In order to develop one web application based on postgresql, i need to install libpq on my centos. I can install it by "apt-get install libpq-dev" on ubuntu, but i can not install it on centos by "...
1
vote
1answer
143 views

Cent OS. Removed yum packages with apt-get. Server at work is down

I ran: sudo apt-get --fix-broken install and ended up removing: MySQL-client (5.0.92-0.glibc23) MySQL-server (5.0.92-0.glibc23) bandmin (1.6.1-1_newinit) exim (4.69-30_cpanel_maildir) mdadm (2.6....
1
vote
2answers
563 views

Backup all Yum repos and packages on CentOS 5 server?

I'm spinning up a new CentOS 5 server and to save some time I'd like to use the same repos and packages as installed on another CentOS 5 server. Is anyone aware of a systematic or best practice method ...
3
votes
4answers
5k views

Installing yum repositories that are specified in kickstart file

Right now, I am specifying repositories to be used for installation in the kickstart file via the repo directive. I am then, re-specifying those repositories to be added to the /etc/yum.repos.d post-...
3
votes
1answer
165 views

Change Management Workflow Using Yum

We have a fairly strict patching process that we have to follow: Patch a development or testing machine Wait one week to see if it explodes Patch the corresponding production machine to the same ...
0
votes
2answers
495 views

CentOS/yum - Upgrading php 5.1 -> 5.3 without upgrading mysql 5.0 -> 5.1

I'm attempting to upgrade php from the centos default of 5.1.6 to 5.3.8 out of the Atomic repo, but when doing so, yum wants mysql to upgrade from 5.0 to 5.1, saying that php-mysql-5.3.8-1.el5 is ...
1
vote
4answers
8k views

How do I remove a repository of yum

When I search for a package in yum(centos 6), it tries to search in a repro named 'c6-media' And it gives a bunch of errors as follows file:///media/CentOS/repodata/repomd.xml: [Errno 14] Could not ...
2
votes
2answers
326 views

Disabling Yum's PostInst RestoreCon Action

When I update the package "selinux-policy-targeted" on a Fedora 15 box, as part of yum's post-inst action, a restorecon of the entire disk is called to change the on-disk selinux contexts to match the ...
2
votes
3answers
10k views

CentOS 5.7 - Cannot retrieve repository metadata

I got this strange error today and I'm not able to fix it: root@server# yum -y update Loaded plugins: allowdowngrade YumRepo Error: All mirror URLs are not using ftp, http[s] or file. Eg. </html&...
2
votes
3answers
2k views

Fresh install of RHEL 6.1 - yum failing to update

I'm getting some errors when trying to update some RHEL 6.1 64 bit servers with yum. I tried a fresh install of the OS and then ran yum -y upgrade and received the same errors that I was getting on my ...
3
votes
1answer
6k views

How to install the latest g++ version on CentOS

I tried yum install gcc-c++, however, the repos have an old version (4.1) which causes lots of problems and stops me from building a library. I would like to update it to latest. How can I do that?
31
votes
3answers
31k views

What does that mean: packages excluded due to repository priority protections

When updating with yum i recieve the following message: yum update Loaded plugins: fastestmirror, priorities Loading mirror speeds from cached hostfile * atomic: www7.atomicorp.com * base: mirror....